using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LinqSqlEpisodeIVProVid
{
    public partial class NorthwindDataClassesDataContext
    {
        partial void InsertOrder(Order instance)
        {
            instance.ShipCountry = "Iran";
            this.ExecuteDynamicInsert(instance);
        }
        partial void UpdateOrder(Order instance)
        {
            this.ExecuteDynamicUpdate(instance);
        }
        partial void DeleteOrder(Order instance)
        {
            this.ExecuteDynamicDelete(instance);
        }
    }
}
